define(['../templates.js'], function (getTemplateRenderer) {
  'use strict';

  var getTemplate = getTemplateRenderer();

  return function (params) {
    var self = this;

    params.width(880);

    return getTemplate('pipelines')
      .then(function (template) {
        params.$el.append(template.render({
          pipelines: [
            {
              code: 'first_touch',
              title: self.i18n('pipelines').first_touch,
              description: self.i18n('pipelines').first_touch_description
            },
            {
              code: 'resale',
              title: self.i18n('pipelines').resale,
              description: self.i18n('pipelines').resale_description
            },
            {
              code: 'returning_clients',
              title: self.i18n('pipelines').returning_clients,
              description: self.i18n('pipelines').returning_clients_description
            },
            {
              code: 'retention',
              title: self.i18n('pipelines').retention,
              description: self.i18n('pipelines').retention_description
            }
          ],
          values: params.data,
          langs: {
            submit: self.i18n('next_step')
          }
        }));

        params.$el
          .on('click', '.js-radio', function (e) {
            var $label = $(this).find('label');

            if (e.target === $label[0]) {
              return;
            }

            $label.click();
          })
          .on('click', '.js-wizard-pipelines-submit', function (e) {
            e.preventDefault();

            // просто для примера как обрабатывать
            // данные с формы самостоятельно в
            // данном шаге будем использовать jQuery.serialize
            params.submit(
              params.$el.find('input[type="checkbox"]')
                .map(function () {
                  return $(this).is(':checked')
                    ? $(this).val()
                    : ''
                })
                .toArray()
            );
          });
      });
  };
});